<template>
  <q-page class="flex flex-center">
    <q-card>
      <q-card-title class="bg-primary text-white card-title" style="min-width:300px">{{ user.name }}</q-card-title>
      <q-card-separator />
      <q-card-main>
        <div class="row q-my-lg">
          <b class="on-left">Username</b>
          <div class="">
            {{ user.username }}
          </div>
        </div>
        <div class="row q-my-lg">
          <b class="on-left">E-Mail</b>{{ user.email }}
        </div>
        <div class="row q-my-lg">
          <b class="col-3">Skills</b>
          <q-chips-input class="col-9" v-model="user.skills" floating-label="Skills" color="secondary"></q-chips-input>
        </div>
        <div class="row q-mylg">
          <b class="col-3">Interests</b>
          <q-chips-input class="col-9" v-model="user.interests" floating-label="Interests" color="secondary"></q-chips-input>
        </div>
      </q-card-main>
    </q-card>
  </q-page>
</template>

<style>
</style>

<script>
// import * as api from '../js/api'

export default {
  name: 'PageAccount',
  data () {
    return {
      user: this.$q.cookies.get('user')
    }
  },
  methods: {
  }
}
</script>
